Name:           chromaprint
Version:        0.4
Release:        1%{?dist}
Summary:        Library implementing a custom fingerprinting algorithm

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint/
Source:         https://github.com/downloads/lalinsky/chromaprint/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  fftw-devel >= 3
BuildRequires:  boost-devel
BuildRequires:  python

# examples require ffmpeg
# BuildRequires:  ffmpeg-devel

%description
The library exposes a simple C API and the package also includes bindings for
the Python language. The documentation for the C API can be found in the main
header file.

Note that the library only calculates audio fingerprints from the provided raw
uncompressed audio data. It does not deal with audio file formats in any way.
Your application needs to find a way to decode audio files (MP3, MP4, FLAC,
etc.) and feed the uncompressed data to Chromaprint.

%package -n libchromaprint
Summary:        Headers for developing programs that will use %{name} 

Group:          Development/Libraries

%description -n libchromaprint
The library exposes a simple C API and the package also includes bindings for
the Python language. The documentation for the C API can be found in the main
header file.

Note that the library only calculates audio fingerprints from the provided raw
uncompressed audio data. It does not deal with audio file formats in any way.
Your application needs to find a way to decode audio files (MP3, MP4, FLAC,
etc.) and feed the uncompressed data to Chromaprint.

%package -n libchromaprint-devel
Summary:        Headers for developing programs that will use %{name} 

Group:          Development/Libraries

Requires:       libchromaprint = %{version}-%{release}
Requires:       pkgconfig

%description -n libchromaprint-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}. 

%package -n python-chromaprint
Summary:        Python module for %{name} 

Group:          Development/Libraries

Requires:       libchromaprint = %{version}-%{release}

%description -n python-chromaprint
This package contains the python module to use %{name}. 


%prep
%setup -q

# examples require ffmpeg, so turn off examples
%{cmake} -DBUILD_EXAMPLES=off -DBUILD_TESTS=on .

%build
make %{?_smp_mflags}

cd python
CFLAGS="$RPM_OPT_FLAGS" python setup.py build
cd ..

%check
make check

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

cd python
python setup.py install --root=$RPM_BUILD_ROOT
cd ..


%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post -n libchromaprint -p /sbin/ldconfig

%postun -n libchromaprint -p /sbin/ldconfig

%files -n libchromaprint
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.txt NEWS.txt README.txt
%{_libdir}/lib*.so.*

%files -n libchromaprint-devel
%defattr(-,root,root,-)
%{_includedir}/chromaprint.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-chromaprint
%doc python/examples
%{python_sitelib}/chromaprint
%{python_sitelib}/*.egg-info

%changelog
* Sat Aug 06 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4-1
- Initial package
